Ödemeyi özet sorgula
curl --request GET \
--url https://vpos-sandbox.payven.com.tr/api/v1/payments/{transaction_id}/query \
--header 'Authorization: Bearer <token>'import requests
url = "https://vpos-sandbox.payven.com.tr/api/v1/payments/{transaction_id}/query"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vpos-sandbox.payven.com.tr/api/v1/payments/{transaction_id}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"is_success": true,
"message": "<string>",
"external_query_available": true,
"internal": {
"status": "<string>",
"operation_type": "<string>",
"amount": 123,
"net_amount": 123,
"currency": "<string>",
"installment_count": 123,
"is3_d_secure": true,
"provider_transaction_id": "<string>",
"auth_code": "<string>",
"host_reference": "<string>",
"masked_card_number": "<string>",
"card_brand": "<string>",
"card_holder_name": "<string>",
"bank_code": "<string>",
"transaction_status": "<string>",
"charge_type": "<string>",
"settlement_id": "<string>",
"captured_amount": 123,
"error_code": "<string>",
"error_message": "<string>",
"processed_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"external": {
"status": "<string>",
"operation_type": "<string>",
"amount": 123,
"net_amount": 123,
"currency": "<string>",
"installment_count": 123,
"is3_d_secure": true,
"provider_transaction_id": "<string>",
"auth_code": "<string>",
"host_reference": "<string>",
"masked_card_number": "<string>",
"card_brand": "<string>",
"card_holder_name": "<string>",
"bank_code": "<string>",
"transaction_status": "<string>",
"charge_type": "<string>",
"settlement_id": "<string>",
"captured_amount": 123,
"error_code": "<string>",
"error_message": "<string>",
"processed_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "https://docs.payven.com.tr/errors/resource_not_found",
"title": "Kaynak bulunamadı",
"status": 404,
"code": "resource_not_found"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}Payments
Ödemeyi özet sorgula
GET
/
api
/
v1
/
payments
/
{transaction_id}
/
query
Ödemeyi özet sorgula
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Path Parameters
Query Parameters
Show child attributes
Show child attributes
⌘I